EDIT - feature request #8742

Allow deleting vocabularies
12/04/2019 02:50 PM - Andreas Miiller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

Currently it is not possible to delete a vocabulary if it contains terms.
With OWL import (additivity) it is now possible to import large vocabularies. If these are not needed anymore it is very cumbersome

to delete them manually by deleting all terms in advance.

It should be possible to delete the full vocabulary if NONE of the included terms is used elsewhere. If any term is in use it should not

be deletable but give a message, which term is used.

Ofcourse none of the CDM core vocabularies should be deletable.

History

#1 - 04/21/2020 11:10 AM - Andreas Miiller
- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 5.15

5.15 is considered to be an additivity milestone. Therefore | move it to this milestone.

#2 - 06/23/2020 01:53 PM - Andreas Miuller

- Target version changed from Release 5.15 to Release 5.18

#3 - 12/04/2020 09:10 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#4 - 01/27/2021 04:45 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.21

#5 - 03/10/2021 02:46 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#6 - 04/19/2021 05:42 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.25

#7 - 07/09/2021 10:19 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45
